# ArmarXCore Tutorials  {#ArmarXCore-Tutorials}

**Statechart Tutorials**

- \subpage ArmarXCore-Tutorials-sce "Basic Tutorial: Counting with Statecharts (An Introduction to the Statechart Editor)"
- \subpage ArmarXCore-Tutorials-sce-waving "Intermediate Tutorial: A waving robot"
- \subpage ArmarXCore-Tutorials-pick-and-place "Advanced Tutorial: Pick And Place"


**Component Tutorials**

- \subpage tutorials_102_server_client_rpc_cpp
- \subpage ArmarXCore-Tutorial-Threading


**Robot Tutorials**

- \subpage ArmarXCore-Tutorials-new-robot "Integrating a new robot with ArmarX"
    - \ref ArmarXCore-Tutorials-new-robot-sim "Creating a new package and starting the simulation"
    - \ref ArmarXCore-Tutorials-new-robot-kinsim "Using the kinematic simulation"
    - \ref ArmarXCore-Tutorials-new-robot-dynsim "Using the dynamic kinematic simulation"
    - \ref ArmarXCore-Tutorials-new-robot-objects "Adding new objects"
    - \ref ArmarXCore-Tutorials-new-robot-rst "Using RobotSkillTemplates"


**Additional Tutorials**

- \subpage ArmarXCore-Tutorial-Troubleshooting "Troubleshooting a Distributed Application in ArmarX"
- \subpage ArmarXCore-Tutorial-Logging "How to log output and data"
- \subpage ArmarXCore-Tutorials-debugging "Debugging Tutorial"
- \subpage ArmarXCore-Tutorials-RemoteHandles "How to use remote handles (remote shared ptr + ice handle)"
- \subpage ArmarXCore-Tutorials-ice-remote-deployment "Setting up Ice Remote Deployment"
