#include "IceStatusReader.h"

#include <ArmarXCore/core/exceptions/local/ExpressionException.h>
#include <ArmarXCore/core/logging/Logging.h>

using namespace ScenarioManager;
using namespace Exec;
using namespace Data_Structure;

IceStatusReader::IceStatusReader(const IceGrid::AdminPrx admin) : admin(admin)
{
}

std::string
IceStatusReader::GetApplicationId(const ApplicationInstancePtr& application)
{
    return application->getScenario()->getName() + "_" + application->getName() +
           (application->getInstanceName().empty() ? "" : "_") + application->getInstanceName() +
           "Server";
}
