#ifndef ICESTATUSREADER_H
#define ICESTATUSREADER_H

#include <map>
#include <string>

#include <IceGrid/Admin.h>

#include "../data_structure/ApplicationInstance.h"
#include "../parser/StatusManager.h"

namespace ScenarioManager::Exec
{
    class IceStatusReader
    {
    public:
        IceStatusReader(const IceGrid::AdminPrx admin);

        static std::string GetApplicationId(const ApplicationInstancePtr& application);

    private:
        const IceGrid::AdminPrx admin;
    };
} // namespace ScenarioManager::Exec

#endif // ICESTATUSREADER_H
