# Building the documentation

Execute `make doc` in the build directory.
The HTML output will be generated in `build/doxygen/html/`.

# Adding documentation

Documentation which cannot be provided in the header files of the ArmarXCore should reside 
in `etc/doxygen/`.

- `pages`: files with additional doxygen commands (e.g. mainpage)
- `images`: images required for the documentation
- `snippets`: code snippets and examples
- `layout`: doxygen related files to customize the output layout
