#!/usr/bin/env python3
# PYTHON_ARGCOMPLETE_OK
# encoding: utf-8

##
# This file is part of ArmarX.
#
# ArmarX is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# ArmarX is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# @package    ArmarXCore::tools
# @author     Jan Issac (jan dot issac at gmail dot com)
# @date       2012
# @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
#             GNU General Public License
#
#  ArmarX Package
#
# is a tool to create and modify ArmarX packages.
#

import sys

import armarx_package.armarx_package_tool

if __name__ == "__main__":
    sys.exit(armarx_package.armarx_package_tool.main())
