/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    @PACKAGE_NAME@::@COMPONENT_NAME_SNAKE@::constants
 * @author     @AUTHOR_NAME@ ( @AUTHOR_EMAIL@ )
 * @date       @YEAR@
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

#include <string>

namespace @PACKAGE_CPP_NAMESPACE@::@COMPONENT_NAME_SNAKE@::constants
{
    /**
    * @defgroup Library-@COMPONENT_NAME@ @COMPONENT_NAME@ constants
    * @ingroup @PACKAGE_NAME@
    * A collection of important constants for the skill library @COMPONENT_NAME_SNAKE@_skills.
    */

    /// The name of the skill provider containing skills of this library
    extern const std::string SKILL_PROVIDER_NAME;
    
    /// The name of the skill in this library
    extern const std::string SKILL_NAME;
}
